---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/05_Forest_path/Anim/fire/"
---------------------------------------------------------------------------------------
createCompositionMAIN_fire = nil
---------------------------------------------------------------------------------------
createCompositionMAIN_fire = function()
	local compositionMAIN_fire = CreateCompositionSequence()
	local compositionDuration = 2
	compositionMAIN_fire:setDuration(compositionDuration)
	compositionMAIN_fire:setName("compositionMAIN_fire" )
	compositionMAIN_fire:setBoundingBox( Rectanglef(0, 0, 350,504) )
 
	local element
	local effector
 
	-- Layer fire_[].png/1
	element = CreateCompositionElement(PREFIX_PATH.."fire_[].png")
	element:setName("fire_[].png/1")
	compositionMAIN_fire:addElement(element)
	element:setHotSpot(51, 31)
	element:setParentElement(compositionMAIN_fire)
	element:setXY(217, 359)
 
	element:setScale(1.31372549019608,2.03225806451613)
 
		local anim = element
		anim:setAnimationSize(102,62)
		anim:setFramesCount(48)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer smoke_1_[].png/2
	element = CreateCompositionElement(PREFIX_PATH.."smoke_1_[].png")
	element:setName("smoke_1_[].png/2")
	compositionMAIN_fire:addElement(element)
	element:setHotSpot(39, 60)
	element:setParentElement(compositionMAIN_fire)
	element:setXY(150.5, 244.5)
 
	element:setScale(3.3,3.3)
	element:setRotationRad(-0.174532925)
 
		local anim = element
		anim:setAnimationSize(78,120)
		anim:setFramesCount(48)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer fire.png/3
	element = CreateCompositionElement(PREFIX_PATH.."fire.png")
	element:setName("fire.png/3")
	compositionMAIN_fire:addElement(element)
	element:setHotSpot(74, 48)
	element:setParentElement(compositionMAIN_fire)
	element:setXY(221, 412)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionMAIN_fire:play()
 
	return compositionMAIN_fire
end
 
